<div id="translate-page">
  <h2>
    Translating on backend
  </h2>
  <div id="translating">
    <form [formGroup]="translateForm">
      <textarea formControlName="text" rows="40" cols="50"></textarea>
      <div id="actions">
        <div>
          <p>Chose language: </p>
          <select formControlName="language">
            <option *ngFor="let lang of languages" [value]="lang.language">
              {{ lang.name }}
            </option>
          </select>
        </div>
        <button #button type="submit" [disabled]="translateForm.invalid">translate</button>
      </div>
    </form>
    <div id="translated-text">{{translated}}</div>
  </div>
  <div id="links">
    <div></div>
    <a routerLink="/translate-frontend-child-component" routerLinkActive="active">Next</a>
  </div>
</div>
